import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv, arc } from 'd3';
import { VizContainer } from './VizContainer';

const width = 960;
const height = 500;
const margin = { top: 30, right: 30, bottom: 30, left: 30 };
const innerWidth = width - margin.right - margin.left;
const innerHeight = height - margin.top - margin.bottom;

const urlCSV = 'https://gist.githubusercontent.com/elifaltundag/33626f0e254068fade97ad8f1f5e3e7b/raw/cssColorNames.csv'

const App = () => {
  const [colorsData, setColorsData] = useState(null);
  
  useEffect(() => {
    csv(urlCSV).then(data => setColorsData(data)).then(() => console.log(colorsData));
  }, [])
  
  return ("Hello world") 

};

ReactDOM.render(<App />, document.getElementById('root'));



/* 
    <VizContainer
      showMargins={true} // delete this
      width={width}
      height={height}
      margin={margin}
      innerWidth={innerWidth}
      innerHeight={innerHeight}
    > 
      {colorsData.map(color => (
      	<div
          style={{
          	backgroundColor: color["Hex Code"],
          	width: "10px",
            height: "10px"
          }}
          >
        
        </div>
      ))}
      
    </VizContainer>

*/
